<template lang="pug">
.dropdown.dropdown-end(:title="$t('changeLanguage')")
  .btn-ghost.btn.gap-1.normal-case(tabindex="0")
    icon.inline-block.h-4.w-4.fill-current(name="mdi:translate", class="md:h-5 md:w-5")
    icon.translate-icon(name="mdi:chevron-down")

  .dropdown-content.rounded-t-box.rounded-b-box.top-px.mt-16.w-56.overflow-y-auto.bg-base-200.text-base-content.shadow-2xl
    ul.menu.menu-compact.gap-1.p-3
      li
        button.flex(
          :class="{ active: $i18n.locale === 'en' }",
          @click.prevent.stop="$i18n.setLocale('en')"
        )
          icon.h-5.w-5(name="emojione-v1:flag-for-united-kingdom")
          span(name="flex flex-1 justify-between") English
      li
        button.flex(
          :class="{ active: $i18n.locale === 'ru' }",
          @click.prevent.stop="$i18n.setLocale('ru')"
        )
          icon.h-5.w-5(name="emojione-v1:flag-for-russia")
          span(name="flex flex-1 justify-between") Русский

      li
        button.flex(
          :class="{ active: $i18n.locale === 'kk' }",
          @click.prevent.stop="$i18n.setLocale('kk')"
        )
          icon.h-5.w-5(name="emojione-v1:flag-for-kazakhstan")
          span(name="flex flex-1 justify-between") Қазақ тілі
</template>

<style lang="scss" scoped>
// https://github.com/nuxt-modules/icon/issues/68
.translate-icon {
  @apply ml-1 hidden h-0 w-0 fill-current opacity-60 sm:inline-block sm:h-5 sm:w-5;
}
</style>
